/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OGRE", "index.html", [
    [ "API Reference Start Page", "index.html", "index" ],
    [ "Manual", "manual.html", [
      [ "Introduction", "_introduction.html", [
        [ "Object Orientation - more than just a buzzword", "_introduction.html#autotoc_md15", null ],
        [ "Multi-everything", "_introduction.html#autotoc_md16", null ]
      ] ],
      [ "The Core Objects", "_the-_core-_objects.html", [
        [ "Overview from 10,000 feet", "_the-_core-_objects.html#autotoc_md17", null ],
        [ "The Root object", "_the-_core-_objects.html#The-Root-Object", null ],
        [ "The RenderSystem object", "_the-_core-_objects.html#The-RenderSystem-object", null ],
        [ "The SceneManager object", "_the-_core-_objects.html#The-SceneManager-object", null ],
        [ "The ResourceGroupManager Object", "_the-_core-_objects.html#The-ResourceGroupManager-Object", null ],
        [ "The Mesh Object", "_the-_core-_objects.html#The-Mesh-Object", null ],
        [ "Entities", "_the-_core-_objects.html#Entities", null ],
        [ "Materials", "_the-_core-_objects.html#Materials", null ],
        [ "Overlays", "_the-_core-_objects.html#Overlays", [
          [ "Notes on Integration", "_the-_core-_objects.html#autotoc_md18", null ],
          [ "Creating 2D Elements", "_the-_core-_objects.html#autotoc_md19", null ],
          [ "Adding 2D Elements to the Overlay", "_the-_core-_objects.html#autotoc_md20", null ],
          [ "A word about 2D coordinates", "_the-_core-_objects.html#autotoc_md21", null ],
          [ "Transforming Overlays", "_the-_core-_objects.html#autotoc_md22", null ],
          [ "GUI systems", "_the-_core-_objects.html#autotoc_md23", null ]
        ] ]
      ] ],
      [ "Resource Management", "_resource-_management.html", [
        [ "Resource Life-cycle", "_resource-_management.html#Resource-Life-cycle", null ],
        [ "Locations", "_resource-_management.html#Resource-Location", null ],
        [ "Groups", "_resource-_management.html#Resource-Groups", [
          [ "Resource-Declaration", "_resource-_management.html#Resource-Declaration", null ]
        ] ]
      ] ],
      [ "Scripts", "_scripts.html", [
        [ "Loading scripts", "_scripts.html#autotoc_md51", null ],
        [ "Format", "_scripts.html#Format", [
          [ "Script Inheritance", "_scripts.html#Script-Inheritance", [
            [ "Advanced Script Inheritance", "_scripts.html#Advanced-Script-Inheritance", null ]
          ] ],
          [ "Script Variables", "_scripts.html#Script-Variables", null ],
          [ "Script Import Directive", "_scripts.html#Script-Import-Directive", null ]
        ] ],
        [ "Custom Translators", "_scripts.html#custom-translators", null ],
        [ "Material Scripts", "_material-_scripts.html", [
          [ "Material", "_material-_scripts.html#Material", [
            [ "lod_strategy", "_material-_scripts.html#autotoc_md97", null ],
            [ "lod_values", "_material-_scripts.html#autotoc_md98", null ],
            [ "lod_distances", "_material-_scripts.html#autotoc_md99", null ],
            [ "receive_shadows", "_material-_scripts.html#autotoc_md100", null ],
            [ "transparency_casts_shadows", "_material-_scripts.html#autotoc_md101", null ],
            [ "set_texture_alias", "_material-_scripts.html#autotoc_md102", null ]
          ] ],
          [ "Techniques", "_material-_scripts.html#Techniques", [
            [ "scheme", "_material-_scripts.html#autotoc_md103", null ],
            [ "lod_index", "_material-_scripts.html#autotoc_md104", null ],
            [ "shadow_caster_material", "_material-_scripts.html#autotoc_md105", null ],
            [ "shadow_receiver_material", "_material-_scripts.html#autotoc_md106", null ],
            [ "gpu_vendor_rule and gpu_device_rule", "_material-_scripts.html#autotoc_md107", null ]
          ] ],
          [ "Passes", "_material-_scripts.html#Passes", null ],
          [ "Attribute Descriptions", "_material-_scripts.html#autotoc_md108", [
            [ "ambient", "_material-_scripts.html#autotoc_md109", null ],
            [ "diffuse", "_material-_scripts.html#autotoc_md110", null ],
            [ "specular", "_material-_scripts.html#autotoc_md111", null ],
            [ "emissive", "_material-_scripts.html#autotoc_md112", null ],
            [ "scene_blend", "_material-_scripts.html#autotoc_md113", null ],
            [ "separate_scene_blend", "_material-_scripts.html#autotoc_md114", null ],
            [ "scene_blend_op", "_material-_scripts.html#autotoc_md115", null ],
            [ "separate_scene_blend_op", "_material-_scripts.html#autotoc_md116", null ],
            [ "depth_check", "_material-_scripts.html#autotoc_md117", null ],
            [ "depth_write", "_material-_scripts.html#autotoc_md118", null ],
            [ "depth_func", "_material-_scripts.html#autotoc_md119", null ],
            [ "depth_bias", "_material-_scripts.html#autotoc_md120", null ],
            [ "iteration_depth_bias", "_material-_scripts.html#autotoc_md121", null ],
            [ "alpha_rejection", "_material-_scripts.html#autotoc_md122", null ],
            [ "alpha_to_coverage", "_material-_scripts.html#autotoc_md123", null ],
            [ "light_scissor", "_material-_scripts.html#autotoc_md124", null ],
            [ "light_clip_planes", "_material-_scripts.html#autotoc_md125", null ],
            [ "illumination_stage", "_material-_scripts.html#illumination_005fstage", null ],
            [ "normalise_normals", "_material-_scripts.html#autotoc_md126", null ],
            [ "transparent_sorting", "_material-_scripts.html#autotoc_md127", null ],
            [ "cull_hardware", "_material-_scripts.html#autotoc_md128", null ],
            [ "cull_software", "_material-_scripts.html#autotoc_md129", null ]
          ] ],
          [ "lighting", "_material-_scripts.html#lighting", [
            [ "lighting", "_material-_scripts.html#autotoc_md130", null ],
            [ "shading", "_material-_scripts.html#autotoc_md131", null ],
            [ "polygon_mode", "_material-_scripts.html#autotoc_md132", null ],
            [ "polygon_mode_overrideable", "_material-_scripts.html#autotoc_md133", null ],
            [ "fog_override", "_material-_scripts.html#autotoc_md134", null ],
            [ "colour_write", "_material-_scripts.html#autotoc_md135", null ],
            [ "start_light", "_material-_scripts.html#autotoc_md136", null ],
            [ "max_lights", "_material-_scripts.html#autotoc_md137", null ],
            [ "iteration", "_material-_scripts.html#iteration", null ],
            [ "point_size", "_material-_scripts.html#autotoc_md138", null ],
            [ "point_sprites", "_material-_scripts.html#autotoc_md139", null ],
            [ "point_size_attenuation", "_material-_scripts.html#autotoc_md140", null ],
            [ "point_size_min", "_material-_scripts.html#autotoc_md141", null ],
            [ "point_size_max", "_material-_scripts.html#autotoc_md142", null ],
            [ "line_width", "_material-_scripts.html#autotoc_md143", null ]
          ] ],
          [ "Texture Units", "_material-_scripts.html#Texture-Units", [
            [ "Available Texture Unit Attributes", "_material-_scripts.html#autotoc_md144", null ],
            [ "Attribute Descriptions", "_material-_scripts.html#autotoc_md145", null ],
            [ "texture_alias", "_material-_scripts.html#autotoc_md146", null ],
            [ "texture", "_material-_scripts.html#autotoc_md147", null ],
            [ "anim_texture", "_material-_scripts.html#autotoc_md148", null ],
            [ "cubic_texture", "_material-_scripts.html#autotoc_md149", null ],
            [ "binding_type", "_material-_scripts.html#autotoc_md150", null ],
            [ "content_type", "_material-_scripts.html#autotoc_md151", null ],
            [ "tex_coord_set", "_material-_scripts.html#autotoc_md152", null ],
            [ "colour_op", "_material-_scripts.html#autotoc_md153", null ],
            [ "colour_op_ex", "_material-_scripts.html#autotoc_md154", null ],
            [ "colour_op_multipass_fallback", "_material-_scripts.html#autotoc_md155", null ],
            [ "alpha_op_ex", "_material-_scripts.html#autotoc_md156", null ],
            [ "env_map", "_material-_scripts.html#autotoc_md157", null ],
            [ "scroll", "_material-_scripts.html#autotoc_md158", null ],
            [ "scroll_anim", "_material-_scripts.html#autotoc_md159", null ],
            [ "rotate", "_material-_scripts.html#autotoc_md160", null ],
            [ "rotate_anim", "_material-_scripts.html#autotoc_md161", null ],
            [ "scale", "_material-_scripts.html#autotoc_md162", null ],
            [ "wave_xform", "_material-_scripts.html#autotoc_md163", null ],
            [ "transform", "_material-_scripts.html#autotoc_md164", null ],
            [ "sampler_ref", "_material-_scripts.html#autotoc_md165", null ]
          ] ],
          [ "Samplers", "_material-_scripts.html#Samplers", [
            [ "Available parameters", "_material-_scripts.html#autotoc_md166", null ],
            [ "tex_address_mode", "_material-_scripts.html#autotoc_md167", null ],
            [ "tex_border_colour", "_material-_scripts.html#autotoc_md168", null ],
            [ "filtering", "_material-_scripts.html#autotoc_md169", [
              [ "Simple Format", "_material-_scripts.html#autotoc_md170", null ],
              [ "Complex Format", "_material-_scripts.html#autotoc_md171", null ]
            ] ],
            [ "max_anisotropy", "_material-_scripts.html#autotoc_md172", null ],
            [ "mipmap_bias", "_material-_scripts.html#autotoc_md173", null ],
            [ "compare_test", "_material-_scripts.html#autotoc_md174", null ],
            [ "comp_func", "_material-_scripts.html#autotoc_md175", null ]
          ] ],
          [ "Declaring GPU Programs", "_material-_scripts.html#Declaring-Vertex_002fGeometry_002fFragment-Programs", null ],
          [ "Specifying Named Constants for Assembler Shaders", "_material-_scripts.html#Specifying-Named-Constants-for-Assembler-Shaders", null ],
          [ "Default Program Parameters", "_material-_scripts.html#Default-Program-Parameters", null ],
          [ "Declaring Shared Parameters", "_material-_scripts.html#Declaring-Shared-Parameters", null ],
          [ "Adding new Techniques, Passes, to copied materials", "_material-_scripts.html#Adding-new-Techniques_002c-Passes_002c-to-copied-materials_003a", null ],
          [ "Identifying Texture Units to override values", "_material-_scripts.html#Identifying-Texture-Units-to-override-values", null ],
          [ "Texture Aliases", "_material-_scripts.html#Texture-Aliases", null ]
        ] ],
        [ "Compositor Scripts", "_compositor-_scripts.html", [
          [ "Compositor Fundamentals", "_compositor-_scripts.html#Compositor-Fundamentals", null ],
          [ "Techniques", "_compositor-_scripts.html#Compositor-Techniques", [
            [ "texture", "_compositor-_scripts.html#compositor-texture", null ],
            [ "texture_ref", "_compositor-_scripts.html#autotoc_md52", null ],
            [ "scheme", "_compositor-_scripts.html#autotoc_md53", null ],
            [ "compositor_logic", "_compositor-_scripts.html#autotoc_md54", null ]
          ] ],
          [ "Target Sections", "_compositor-_scripts.html#Compositor-Target-Passes", [
            [ "Attribute Descriptions", "_compositor-_scripts.html#autotoc_md55", null ],
            [ "input", "_compositor-_scripts.html#autotoc_md56", null ],
            [ "only_initial", "_compositor-_scripts.html#autotoc_md57", null ],
            [ "visibility_mask", "_compositor-_scripts.html#autotoc_md58", null ],
            [ "lod_bias", "_compositor-_scripts.html#autotoc_md59", null ],
            [ "shadows", "_compositor-_scripts.html#autotoc_md60", null ],
            [ "material_scheme", "_compositor-_scripts.html#autotoc_md61", null ]
          ] ],
          [ "Passes", "_compositor-_scripts.html#Compositor-Passes", [
            [ "Available Pass Attributes", "_compositor-_scripts.html#autotoc_md62", null ],
            [ "material", "_compositor-_scripts.html#autotoc_md63", null ],
            [ "input", "_compositor-_scripts.html#autotoc_md64", null ],
            [ "identifier", "_compositor-_scripts.html#autotoc_md65", null ],
            [ "first_render_queue", "_compositor-_scripts.html#autotoc_md66", null ],
            [ "last_render_queue", "_compositor-_scripts.html#autotoc_md67", null ],
            [ "thread_groups", "_compositor-_scripts.html#autotoc_md68", null ],
            [ "material_scheme", "_compositor-_scripts.html#autotoc_md69", null ],
            [ "quad_normals", "_compositor-_scripts.html#autotoc_md70", null ],
            [ "clear", "_compositor-_scripts.html#Clear-Section", null ],
            [ "buffers", "_compositor-_scripts.html#autotoc_md71", null ],
            [ "colour_value", "_compositor-_scripts.html#autotoc_md72", null ],
            [ "depth_value", "_compositor-_scripts.html#autotoc_md73", null ],
            [ "stencil_value", "_compositor-_scripts.html#autotoc_md74", null ],
            [ "stencil", "_compositor-_scripts.html#Stencil-Section", null ],
            [ "check", "_compositor-_scripts.html#autotoc_md75", null ],
            [ "comp_func", "_compositor-_scripts.html#autotoc_md76", null ],
            [ "ref_value", "_compositor-_scripts.html#autotoc_md77", null ],
            [ "mask", "_compositor-_scripts.html#autotoc_md78", null ],
            [ "fail_op", "_compositor-_scripts.html#autotoc_md79", null ],
            [ "depth_fail_op", "_compositor-_scripts.html#autotoc_md80", null ],
            [ "pass_op", "_compositor-_scripts.html#autotoc_md81", null ],
            [ "two_sided", "_compositor-_scripts.html#autotoc_md82", null ]
          ] ],
          [ "Applying a Compositor", "_compositor-_scripts.html#Applying-a-Compositor", null ]
        ] ],
        [ "Particle Scripts", "_particle-_scripts.html", [
          [ "Particle System Attributes", "_particle-_scripts.html#Particle-System-Attributes", [
            [ "quota", "_particle-_scripts.html#autotoc_md190", null ],
            [ "material", "_particle-_scripts.html#autotoc_md191", null ],
            [ "particle_width", "_particle-_scripts.html#autotoc_md192", null ],
            [ "particle_height", "_particle-_scripts.html#autotoc_md193", null ],
            [ "cull_each", "_particle-_scripts.html#autotoc_md194", null ],
            [ "renderer", "_particle-_scripts.html#autotoc_md195", null ],
            [ "sorted", "_particle-_scripts.html#autotoc_md196", null ],
            [ "local_space", "_particle-_scripts.html#autotoc_md197", null ],
            [ "iteration_interval", "_particle-_scripts.html#autotoc_md198", null ],
            [ "nonvisible_update_timeout", "_particle-_scripts.html#autotoc_md199", null ]
          ] ],
          [ "Billboard Renderer Attributes", "_particle-_scripts.html#Billboard-Renderer-Attributes", [
            [ "billboard_type", "_particle-_scripts.html#autotoc_md200", null ],
            [ "billboard_origin", "_particle-_scripts.html#autotoc_md201", null ],
            [ "billboard_rotation_type", "_particle-_scripts.html#autotoc_md202", null ],
            [ "common_direction", "_particle-_scripts.html#autotoc_md203", null ],
            [ "common_up_vector", "_particle-_scripts.html#autotoc_md204", null ],
            [ "point_rendering", "_particle-_scripts.html#autotoc_md205", null ],
            [ "accurate_facing", "_particle-_scripts.html#autotoc_md206", null ],
            [ "texture_sheet_size", "_particle-_scripts.html#autotoc_md207", null ]
          ] ],
          [ "Particle Emitters", "_particle-_scripts.html#Particle-Emitters", [
            [ "Particle Emitter Universal Attributes", "_particle-_scripts.html#autotoc_md208", null ],
            [ "Particle Emitter Attributes", "_particle-_scripts.html#autotoc_md209", null ],
            [ "angle", "_particle-_scripts.html#autotoc_md210", null ],
            [ "colour", "_particle-_scripts.html#autotoc_md211", null ],
            [ "colour_range_start & colour_range_end", "_particle-_scripts.html#autotoc_md212", null ],
            [ "direction", "_particle-_scripts.html#autotoc_md213", null ],
            [ "direction_position_reference", "_particle-_scripts.html#autotoc_md214", null ],
            [ "emission_rate", "_particle-_scripts.html#autotoc_md215", null ],
            [ "position", "_particle-_scripts.html#autotoc_md216", null ],
            [ "velocity", "_particle-_scripts.html#autotoc_md217", null ],
            [ "velocity_min & velocity_max", "_particle-_scripts.html#autotoc_md218", null ],
            [ "time_to_live", "_particle-_scripts.html#autotoc_md219", null ],
            [ "time_to_live_min & time_to_live_max", "_particle-_scripts.html#autotoc_md220", null ],
            [ "duration", "_particle-_scripts.html#autotoc_md221", null ],
            [ "duration_min & duration_max", "_particle-_scripts.html#autotoc_md222", null ],
            [ "repeat_delay", "_particle-_scripts.html#autotoc_md223", null ],
            [ "repeat_delay_min & repeat_delay_max", "_particle-_scripts.html#autotoc_md224", null ]
          ] ],
          [ "Standard Particle Emitters", "_particle-_scripts.html#Standard-Particle-Emitters", [
            [ "Point Emitter", "_particle-_scripts.html#Point-Emitter", null ],
            [ "Box Emitter", "_particle-_scripts.html#Box-Emitter", null ],
            [ "Cylinder Emitter", "_particle-_scripts.html#Cylinder-Emitter", null ],
            [ "Ellipsoid Emitter", "_particle-_scripts.html#Ellipsoid-Emitter", null ],
            [ "Hollow Ellipsoid Emitter", "_particle-_scripts.html#Hollow-Ellipsoid-Emitter", null ],
            [ "Ring Emitter", "_particle-_scripts.html#Ring-Emitter", null ],
            [ "Emitting Emitters", "_particle-_scripts.html#Emitting-Emitters", null ]
          ] ],
          [ "Particle Affectors", "_particle-_scripts.html#Particle-Affectors", null ],
          [ "Standard Particle Affectors", "_particle-_scripts.html#Standard-Particle-Affectors", [
            [ "Linear Force Affector", "_particle-_scripts.html#Linear-Force-Affector", null ],
            [ "ColourFader Affector", "_particle-_scripts.html#ColourFader-Affector", null ],
            [ "ColourFader2 Affector", "_particle-_scripts.html#ColourFader2-Affector", null ],
            [ "Scaler Affector", "_particle-_scripts.html#Scaler-Affector", null ],
            [ "Rotator Affector", "_particle-_scripts.html#Rotator-Affector", null ],
            [ "ColourInterpolator Affector", "_particle-_scripts.html#ColourInterpolator-Affector", null ],
            [ "ColourImage Affector", "_particle-_scripts.html#ColourImage-Affector", null ],
            [ "DeflectorPlane Affector", "_particle-_scripts.html#DeflectorPlane-Affector", null ],
            [ "DirectionRandomiser Affector", "_particle-_scripts.html#DirectionRandomiser-Affector", null ]
          ] ]
        ] ],
        [ "Overlay Scripts", "_overlay-_scripts.html", [
          [ "Adding elements to the overlay", "_overlay-_scripts.html#Adding-elements-to-the-overlay", [
            [ "’overlay_element’ blocks", "_overlay-_scripts.html#autotoc_md83", null ]
          ] ],
          [ "Templates", "_overlay-_scripts.html#Templates", [
            [ "OverlayElement Attributes", "_overlay-_scripts.html#autotoc_md84", null ],
            [ "metrics_mode", "_overlay-_scripts.html#autotoc_md85", null ],
            [ "horz_align", "_overlay-_scripts.html#autotoc_md86", null ],
            [ "vert_align", "_overlay-_scripts.html#autotoc_md87", null ],
            [ "left", "_overlay-_scripts.html#autotoc_md88", null ],
            [ "top", "_overlay-_scripts.html#autotoc_md89", null ],
            [ "width", "_overlay-_scripts.html#autotoc_md90", null ],
            [ "height", "_overlay-_scripts.html#autotoc_md91", null ],
            [ "material", "_overlay-_scripts.html#autotoc_md92", null ],
            [ "caption", "_overlay-_scripts.html#autotoc_md93", null ],
            [ "rotation", "_overlay-_scripts.html#autotoc_md94", null ]
          ] ],
          [ "Standard OverlayElements", "_overlay-_scripts.html#Standard-OverlayElements", [
            [ "Panel (container)", "_overlay-_scripts.html#Panel", null ],
            [ "BorderPanel (container)", "_overlay-_scripts.html#BorderPanel", null ],
            [ "TextArea (element)", "_overlay-_scripts.html#TextArea", null ]
          ] ]
        ] ],
        [ "Font Definition Scripts", "_font-_definition-_scripts.html", [
          [ "Using an existing font texture", "_font-_definition-_scripts.html#autotoc_md95", null ],
          [ "Generating a font texture", "_font-_definition-_scripts.html#autotoc_md96", null ]
        ] ]
      ] ],
      [ "High-level Programs", "_high-level-_programs.html", [
        [ "Preprocessor definitions", "_high-level-_programs.html#Preprocessor-definitions", null ],
        [ "Cg programs", "_high-level-_programs.html#Cg", null ],
        [ "DirectX HLSL", "_high-level-_programs.html#HLSL", null ],
        [ "OpenGL GLSL", "_high-level-_programs.html#GLSL", [
          [ "GLSL Texture Samplers", "_high-level-_programs.html#GLSL-Texture-Samplers", null ],
          [ "Matrix parameters", "_high-level-_programs.html#Matrix-parameters", null ],
          [ "Binding vertex attributes", "_high-level-_programs.html#Binding-vertex-attributes", null ],
          [ "Compatibility profile GLSL features", "_high-level-_programs.html#Legacy-GLSL-features", [
            [ "Accessing OpenGL state", "_high-level-_programs.html#autotoc_md176", null ],
            [ "Access to built-in attributes", "_high-level-_programs.html#autotoc_md177", null ],
            [ "Geometry shader specification", "_high-level-_programs.html#autotoc_md178", null ]
          ] ]
        ] ],
        [ "Multi-language Programs", "_high-level-_programs.html#multi-language-programs", null ],
        [ "Unified High-level Programs", "_high-level-_programs.html#Unified-High_002dlevel-Programs", null ],
        [ "Using GPU Programs in a Pass", "_high-level-_programs.html#Using-Vertex_002fGeometry_002fFragment-Programs-in-a-Pass", [
          [ "Parameter specification", "_high-level-_programs.html#Program-Parameter-Specification", null ],
          [ "param_indexed", "_high-level-_programs.html#autotoc_md179", null ],
          [ "param_indexed_auto", "_high-level-_programs.html#autotoc_md180", null ],
          [ "param_named", "_high-level-_programs.html#autotoc_md181", null ],
          [ "param_named_auto", "_high-level-_programs.html#autotoc_md182", null ],
          [ "shared_params_ref", "_high-level-_programs.html#autotoc_md183", null ]
        ] ],
        [ "Shadows and Vertex Programs", "_high-level-_programs.html#Shadows-and-Vertex-Programs", null ],
        [ "Skeletal Animation in Vertex Programs", "_high-level-_programs.html#Skeletal-Animation-in-Vertex-Programs", null ],
        [ "Morph Animation in Vertex Programs", "_high-level-_programs.html#Morph-Animation-in-Vertex-Programs", null ],
        [ "Pose Animation in Vertex Programs", "_high-level-_programs.html#Pose-Animation-in-Vertex-Programs", null ],
        [ "Vertex Texture Fetch", "_high-level-_programs.html#Vertex-Texture-Fetch", [
          [ "Declaring the use of vertex texture fetching", "_high-level-_programs.html#autotoc_md184", null ],
          [ "DirectX9 binding limitations", "_high-level-_programs.html#autotoc_md185", null ],
          [ "Texture format limitations", "_high-level-_programs.html#autotoc_md186", null ],
          [ "Hardware limitations", "_high-level-_programs.html#autotoc_md187", null ]
        ] ]
      ] ],
      [ "Runtime Shader Generation", "_runtime-_shader-_generation.html", [
        [ "Uber shader tips", "_runtime-_shader-_generation.html#autotoc_md188", null ],
        [ "Historical background", "_runtime-_shader-_generation.html#autotoc_md189", null ],
        [ "RTSS: Run Time Shader System", "rtss.html", [
          [ "RTSS properties in Material Scripts", "rtss.html#rtss_custom_mat", [
            [ "transform_stage", "rtss.html#autotoc_md228", null ],
            [ "lighting_stage", "rtss.html#autotoc_md229", null ],
            [ "fog_stage", "rtss.html#autotoc_md230", null ],
            [ "light_count", "rtss.html#autotoc_md231", null ],
            [ "triplanarTexturing", "rtss.html#autotoc_md232", null ],
            [ "integrated_pssm4", "rtss.html#autotoc_md233", null ],
            [ "hardware_skinning", "rtss.html#autotoc_md234", null ],
            [ "layered_blend", "rtss.html#autotoc_md235", null ],
            [ "source_modifier", "rtss.html#autotoc_md236", null ]
          ] ],
          [ "System overview", "rtss.html#rtss_overview", [
            [ "Core features of the system", "rtss.html#core-feats", null ]
          ] ],
          [ "The RTSS in Depth", "rtss.html#rtss_indepth", [
            [ "Main components", "rtss.html#rtss__components", null ],
            [ "Initializing the system", "rtss.html#autotoc_md237", null ],
            [ "Customizing the default RenderState", "rtss.html#rtss_custom_api", null ],
            [ "Creating shader based technique", "rtss.html#rtssTech", null ],
            [ "Shader generation at runtime", "rtss.html#rtssGenerate", null ],
            [ "Creating custom shader extensions", "rtss.html#creating-extensions", null ],
            [ "Tips for debugging shaders", "rtss.html#debugging", null ]
          ] ]
        ] ]
      ] ],
      [ "Mesh Tools", "_mesh-_tools.html", [
        [ "Exporters", "_mesh-_tools.html#Exporters", [
          [ "A Note About Modelling / Animation For OGRE", "_mesh-_tools.html#autotoc_md24", null ]
        ] ],
        [ "XMLConverter", "_mesh-_tools.html#XMLConverter", null ],
        [ "MeshUpgrader", "_mesh-_tools.html#MeshUpgrader", null ]
      ] ],
      [ "Hardware Buffers", "_hardware-_buffers.html", [
        [ "The Hardware Buffer Manager", "_hardware-_buffers.html#autotoc_md225", null ],
        [ "Buffer Usage", "_hardware-_buffers.html#Buffer-Usage", [
          [ "Shadow Buffers", "_hardware-_buffers.html#Shadow-Buffers", null ],
          [ "Locking buffers", "_hardware-_buffers.html#Locking-buffers", [
            [ "Lock parameters", "_hardware-_buffers.html#autotoc_md226", null ]
          ] ],
          [ "Practical Buffer Tips", "_hardware-_buffers.html#Practical-Buffer-Tips", null ]
        ] ],
        [ "Hardware Vertex Buffers", "_hardware-_buffers.html#Hardware-Vertex-Buffers", [
          [ "The VertexData class", "_hardware-_buffers.html#The-VertexData-class", null ],
          [ "Vertex Declarations", "_hardware-_buffers.html#Vertex-Declarations", null ],
          [ "Vertex Buffer Bindings", "_hardware-_buffers.html#Vertex-Buffer-Bindings", null ],
          [ "Creating the Vertex Buffer", "_hardware-_buffers.html#Creating-the-Vertex-Buffer", null ],
          [ "Binding the Vertex Buffer", "_hardware-_buffers.html#Binding-the-Vertex-Buffer", null ],
          [ "Updating Vertex Buffers", "_hardware-_buffers.html#Updating-Vertex-Buffers", null ]
        ] ],
        [ "Hardware Index Buffers", "_hardware-_buffers.html#Hardware-Index-Buffers", [
          [ "The IndexData class", "_hardware-_buffers.html#The-IndexData-class", null ],
          [ "Creating an Index Buffer", "_hardware-_buffers.html#autotoc_md227", null ],
          [ "Updating Index Buffers", "_hardware-_buffers.html#Updating-Index-Buffers", null ]
        ] ],
        [ "Hardware Pixel Buffers", "_hardware-_buffers.html#Hardware-Pixel-Buffers", [
          [ "Textures", "_hardware-_buffers.html#Textures", [
            [ "Creating a texture", "_hardware-_buffers.html#Creating-a-texture", null ]
          ] ],
          [ "Getting a PixelBuffer", "_hardware-_buffers.html#Getting-a-PixelBuffer", null ],
          [ "Updating Pixel Buffers", "_hardware-_buffers.html#Updating-Pixel-Buffers", null ],
          [ "Blit from memory", "_hardware-_buffers.html#blitFromMemory", null ],
          [ "Direct memory locking", "_hardware-_buffers.html#Direct-memory-locking", null ],
          [ "Texture Types", "_hardware-_buffers.html#Texture-Types", null ],
          [ "Cube map textures", "_hardware-_buffers.html#Cube-map-textures", null ],
          [ "Pixel Formats", "_hardware-_buffers.html#Pixel-Formats", null ],
          [ "Colour channels", "_hardware-_buffers.html#Colour-channels", null ],
          [ "List of pixel formats", "_hardware-_buffers.html#Complete-list-of-pixel-formats", null ],
          [ "Pixel boxes", "_hardware-_buffers.html#Pixel-boxes", null ]
        ] ]
      ] ],
      [ "Shadows", "_shadows.html", [
        [ "Enabling shadows", "_shadows.html#Enabling-shadows", null ],
        [ "Opting out of shadows", "_shadows.html#Opting-out-of-shadows", null ],
        [ "Stencil Shadows", "_shadows.html#Stencil-Shadows", [
          [ "CPU Overhead", "_shadows.html#autotoc_md25", null ],
          [ "Extrusion distance", "_shadows.html#autotoc_md26", null ],
          [ "Camera far plane positioning", "_shadows.html#autotoc_md27", null ],
          [ "Mesh edge lists", "_shadows.html#autotoc_md28", null ],
          [ "The Silhouette Edge", "_shadows.html#autotoc_md29", null ],
          [ "Be realistic", "_shadows.html#autotoc_md30", null ],
          [ "Stencil Optimisations Performed By %Ogre", "_shadows.html#autotoc_md31", null ]
        ] ],
        [ "Texture-based Shadows", "_shadows.html#Texture_002dbased-Shadows", [
          [ "Directional Lights", "_shadows.html#autotoc_md32", null ],
          [ "Spotlights", "_shadows.html#autotoc_md33", null ],
          [ "Point Lights", "_shadows.html#autotoc_md34", null ],
          [ "Shadow Casters and Shadow Receivers", "_shadows.html#autotoc_md35", null ]
        ] ],
        [ "Configuring Texture Shadows", "_shadows.html#Configuring-Texture-Shadows", [
          [ "Maximum number of shadow textures", "_shadows.html#autotoc_md36", null ],
          [ "Shadow texture size", "_shadows.html#autotoc_md37", null ],
          [ "Shadow far distance", "_shadows.html#autotoc_md38", null ],
          [ "Shadow texture offset (Directional Lights)", "_shadows.html#autotoc_md39", null ],
          [ "Shadow fade settings", "_shadows.html#autotoc_md40", null ]
        ] ],
        [ "Texture shadows and vertex / fragment programs", "_shadows.html#texture_shadows_and_shaders", [
          [ "Custom shadow camera setups", "_shadows.html#autotoc_md41", null ],
          [ "Shadow texture Depth Buffer sharing", "_shadows.html#autotoc_md42", null ],
          [ "Integrated Texture Shadows", "_shadows.html#Integrated-Texture-Shadows", null ]
        ] ],
        [ "Modulative Shadows", "_shadows.html#Modulative-Shadows", [
          [ "Shadow Colour", "_shadows.html#autotoc_md43", null ]
        ] ],
        [ "Additive Light Masking", "_shadows.html#Additive-Light-Masking", [
          [ "Manually Categorising Illumination Passes", "_shadows.html#Manually-Categorising-Illumination-Passes", null ],
          [ "Pass Classification and Vertex Programs", "_shadows.html#Pass-Classification-and-Vertex-Programs", null ],
          [ "Static-Lighting", "_shadows.html#Static-Lighting", null ]
        ] ]
      ] ],
      [ "Animation", "_animation.html", [
        [ "Animation State", "_animation.html#Animation-State", null ],
        [ "Skeletal Animation", "_animation.html#Skeletal-Animation", null ],
        [ "SceneNode Animation", "_animation.html#SceneNode-Animation", null ],
        [ "Vertex Animation", "_animation.html#Vertex-Animation", [
          [ "Why two subtypes?", "_animation.html#autotoc_md44", null ],
          [ "Subtype applies per track", "_animation.html#autotoc_md45", null ],
          [ "Vertex buffer arrangements", "_animation.html#autotoc_md46", null ],
          [ "Morph Animation", "_animation.html#Morph-Animation", null ],
          [ "Pose Animation", "_animation.html#Pose-Animation", null ],
          [ "Combining Skeletal and Vertex Animation", "_animation.html#Combining-Skeletal-and-Vertex-Animation", null ],
          [ "Combined Hardware Skinning", "_animation.html#autotoc_md47", null ],
          [ "Submesh Splits", "_animation.html#autotoc_md48", null ]
        ] ],
        [ "Numeric Value Animation", "_animation.html#Numeric-Value-Animation", [
          [ "AnimableObject", "_animation.html#autotoc_md49", null ],
          [ "AnimableValue", "_animation.html#autotoc_md50", null ]
        ] ]
      ] ]
    ] ],
    [ "Tutorials", "tutorials.html", [
      [ "Guide to building OGRE", "building-ogre.html", [
        [ "What is CMake?", "building-ogre.html#autotoc_md238", null ],
        [ "Preparing the build environment", "building-ogre.html#autotoc_md239", null ],
        [ "Getting dependencies", "building-ogre.html#autotoc_md240", [
          [ "Linux", "building-ogre.html#autotoc_md241", null ],
          [ "Essential dependencies", "building-ogre.html#autotoc_md242", null ],
          [ "Recommended dependencies", "building-ogre.html#autotoc_md243", null ],
          [ "Optional dependencies", "building-ogre.html#autotoc_md244", null ]
        ] ],
        [ "Running CMake", "building-ogre.html#autotoc_md245", null ],
        [ "Building", "building-ogre.html#autotoc_md246", null ],
        [ "Installing", "building-ogre.html#autotoc_md247", null ],
        [ "Installing and building via vcpkg", "building-ogre.html#autotoc_md248", null ],
        [ "Cross-Compiling", "building-ogre.html#autotoc_md249", [
          [ "Building on Ubuntu for Android", "building-ogre.html#autotoc_md250", null ],
          [ "Building for WebAssembly (using Emscripten)", "building-ogre.html#autotoc_md251", null ],
          [ "Building on Mac OS X for iOS OS", "building-ogre.html#autotoc_md252", null ],
          [ "Building as Windows Store or Windows Phone application", "building-ogre.html#autotoc_md253", null ]
        ] ]
      ] ],
      [ "Setting up an OGRE project", "setup.html", [
        [ "CMake Configuration", "setup.html#cmake", null ],
        [ "Application skeleton", "setup.html#skeleton", null ],
        [ "Running your App", "setup.html#setupRunning", [
          [ "Configuration Files", "setup.html#autotoc_md288", [
            [ "plugins.cfg", "setup.html#autotoc_md289", null ],
            [ "resources.cfg", "setup.html#autotoc_md290", null ],
            [ "ogre.cfg", "setup.html#autotoc_md291", null ]
          ] ]
        ] ]
      ] ],
      [ "Your First Scene", "tut__first_scene.html", [
        [ "How Ogre Works", "tut__first_scene.html#howogreworks", [
          [ "SceneManager", "tut__first_scene.html#scenemanager", null ],
          [ "SceneNode", "tut__first_scene.html#SceneNode", null ],
          [ "Entity", "tut__first_scene.html#Entity", null ]
        ] ],
        [ "Setting Up the Scene", "tut__first_scene.html#SettingUptheScene", null ],
        [ "Coordinates Systems", "tut__first_scene.html#CoordinatesSystems", null ],
        [ "Adding Another Entity", "tut__first_scene.html#AddingAnotherEntity", null ],
        [ "More About Entities", "tut__first_scene.html#MoreAboutEntities", null ],
        [ "More About SceneNodes", "tut__first_scene.html#MoreAboutSceneNodes", null ],
        [ "Changing An Entity's Scale", "tut__first_scene.html#ChangingAnEntitysScale", null ],
        [ "Rotating An Entity", "tut__first_scene.html#RotatingAnEntity", null ],
        [ "The Ogre Environment", "tut__first_scene.html#TheOgreEnvironment", [
          [ "Libraries and Plugins", "tut__first_scene.html#LibrariesandPlugins", [
            [ "Main library", "tut__first_scene.html#autotoc_md310", null ],
            [ "Plugins", "tut__first_scene.html#autotoc_md311", null ],
            [ "Third-party Plugins", "tut__first_scene.html#autotoc_md312", null ],
            [ "Testing vs Release", "tut__first_scene.html#autotoc_md313", null ]
          ] ]
        ] ],
        [ "Conclusion", "tut__first_scene.html#Conclusion1", null ]
      ] ],
      [ "Lights, Cameras, and Shadows", "tut__lights_cameras_shadows.html", [
        [ "The Ogre Camera Class", "tut__lights_cameras_shadows.html#bt2TheOgreCameraClass", null ],
        [ "Creating a Camera", "tut__lights_cameras_shadows.html#bt2CreatingaCamera", null ],
        [ "Viewports", "tut__lights_cameras_shadows.html#bt2Viewports", null ],
        [ "Creating a Viewport", "tut__lights_cameras_shadows.html#bt2CreatingaViewport", null ],
        [ "Building the Scene", "tut__lights_cameras_shadows.html#bt2BuildingtheScene", null ],
        [ "Using Shadows in Ogre", "tut__lights_cameras_shadows.html#bt2UsingShadowsinOgre", null ],
        [ "Lights", "tut__lights_cameras_shadows.html#bt2Lights", null ],
        [ "Creating a Light", "tut__lights_cameras_shadows.html#CreatingaLight", null ],
        [ "Creating More Lights", "tut__lights_cameras_shadows.html#CreatingMoreLights", null ],
        [ "Shadow Types", "tut__lights_cameras_shadows.html#ShadowTypes", null ],
        [ "Conclusion", "tut__lights_cameras_shadows.html#Conclusion2", null ]
      ] ],
      [ "Terrain, Sky and Fog", "tut__terrain_sky_fog.html", [
        [ "An Introduction to Terrain", "tut__terrain_sky_fog.html#tut_terrain", [
          [ "Setting Up the Camera", "tut__terrain_sky_fog.html#autotoc_md314", null ],
          [ "Setting Up a Light for Our Terrain", "tut__terrain_sky_fog.html#autotoc_md315", null ],
          [ "Terrain loading overview", "tut__terrain_sky_fog.html#bt3Overview", null ],
          [ "Terrain appearance", "tut__terrain_sky_fog.html#bt3Appearance", null ],
          [ "Defining a terrain chunk", "tut__terrain_sky_fog.html#bt3TerrainChunk", null ],
          [ "Loading a heightmap", "tut__terrain_sky_fog.html#bt3Heightmap", null ],
          [ "Height based blending", "tut__terrain_sky_fog.html#bt3Blendmap", null ],
          [ "Terrain Loading Label", "tut__terrain_sky_fog.html#bt3LoadingLabel", null ]
        ] ],
        [ "Simulating a sky", "tut__terrain_sky_fog.html#bt3sky", [
          [ "SkyBoxes", "tut__terrain_sky_fog.html#autotoc_md316", null ],
          [ "SkyDomes", "tut__terrain_sky_fog.html#autotoc_md317", null ],
          [ "SkyPlanes", "tut__terrain_sky_fog.html#autotoc_md318", null ]
        ] ],
        [ "Fog", "tut__terrain_sky_fog.html#tut_fog", [
          [ "Adding Fog to Our Scene", "tut__terrain_sky_fog.html#autotoc_md319", null ]
        ] ],
        [ "Conclusion", "tut__terrain_sky_fog.html#conclusion3", null ]
      ] ],
      [ "Working with NumPy", "working-with-numpy.html", null ],
      [ "Trays GUI System", "trays.html", [
        [ "Trays", "trays.html#trays-1", null ],
        [ "TrayManager", "trays.html#traymanager", [
          [ "The Cursor", "trays.html#autotoc_md292", null ],
          [ "The Backdrop", "trays.html#autotoc_md293", null ]
        ] ],
        [ "Widgets", "trays.html#widgets", [
          [ "Button", "trays.html#autotoc_md294", null ],
          [ "TextBox", "trays.html#autotoc_md295", null ],
          [ "SelectMenu", "trays.html#autotoc_md296", null ],
          [ "Label", "trays.html#autotoc_md297", null ],
          [ "Separator", "trays.html#autotoc_md298", null ],
          [ "Slider", "trays.html#autotoc_md299", null ],
          [ "ParamsPanel", "trays.html#autotoc_md300", null ],
          [ "CheckBox", "trays.html#autotoc_md301", null ],
          [ "DecorWidget", "trays.html#autotoc_md302", null ],
          [ "ProgressBar", "trays.html#autotoc_md303", null ],
          [ "The Null Tray", "trays.html#autotoc_md304", null ]
        ] ],
        [ "Special Widgets", "trays.html#special-widgets", [
          [ "Frame Stats", "trays.html#autotoc_md305", null ],
          [ "Logo", "trays.html#autotoc_md306", null ],
          [ "Loading Bar", "trays.html#autotoc_md307", null ],
          [ "Information Dialog", "trays.html#autotoc_md308", null ],
          [ "Question Dialog", "trays.html#autotoc_md309", null ]
        ] ],
        [ "TrayListener", "trays.html#tray-listener", null ],
        [ "Things to Try", "trays.html#things-to-try", null ]
      ] ],
      [ "Volume Component", "volume.html", [
        [ "How to use it", "volume.html#howto", null ],
        [ "Manual creation of a CSG-Tree", "volume.html#creation", null ],
        [ "Getting the triangles of the chunks", "volume.html#triangles", null ],
        [ "Intersecting a ray with a volume", "volume.html#intersecting", null ],
        [ "Editing a Volume made from a GridSource", "volume.html#editing", null ]
      ] ],
      [ "Automatic Mesh LOD Generator", "meshlod-generator.html", [
        [ "How to use it for non-programmers", "meshlod-generator.html#meshlod-nonprog", null ],
        [ "How to use it for programmers", "meshlod-generator.html#meshlod-prog", null ],
        [ "Extending MeshLodGenerator", "meshlod-generator.html#meshlod-extend", [
          [ "Replacing a component", "meshlod-generator.html#autotoc_md282", null ]
        ] ]
      ] ],
      [ "Manual mesh creation", "manual-mesh-creation.html", [
        [ "Using Manual Object", "manual-mesh-creation.html#autotoc_md279", [
          [ "Example", "manual-mesh-creation.html#autotoc_md280", null ]
        ] ],
        [ "Using vertex and index buffers directly", "manual-mesh-creation.html#autotoc_md281", null ]
      ] ],
      [ "Using the Profiler", "profiler.html", [
        [ "Reading the Display", "profiler.html#profRead", null ],
        [ "Features", "profiler.html#profFeatures", [
          [ "Disabling the Profiler", "profiler.html#autotoc_md283", null ],
          [ "Disabling Individual Profiles", "profiler.html#autotoc_md284", null ],
          [ "Analyzing Application State", "profiler.html#autotoc_md285", null ],
          [ "Logging Results", "profiler.html#autotoc_md286", null ],
          [ "Changing the Frequency of Updating the Display", "profiler.html#autotoc_md287", null ]
        ] ],
        [ "Performance and Accuracy", "profiler.html#profAccuracy", null ],
        [ "Remotery Backend", "profiler.html#profRemotery", null ],
        [ "Release Version Considerations", "profiler.html#profRelmode", null ]
      ] ],
      [ "Reversed Depth", "reversed-depth.html", null ],
      [ "External Texture Sources", "_external-_texture-_sources.html", [
        [ "What Is An External Texture Source?", "_external-_texture-_sources.html#autotoc_md274", null ],
        [ "ExternalTextureSource Class", "_external-_texture-_sources.html#autotoc_md275", null ],
        [ "ExternalTextureSourceManager Class", "_external-_texture-_sources.html#autotoc_md276", null ],
        [ "Texture Source Material Script", "_external-_texture-_sources.html#autotoc_md277", null ],
        [ "Simplified Diagram of Process", "_external-_texture-_sources.html#autotoc_md278", null ]
      ] ],
      [ "Background Resource Loading", "background-resource.html", null ],
      [ "Shadow Mapping in Ogre", "_shadow_mapping_ogre.html", [
        [ "Introduction to the Shadow Mapping Algorithm", "_shadow_mapping_ogre.html#ShadowMappingIntro", [
          [ "Formalism", "_shadow_mapping_ogre.html#sm_formalism", null ],
          [ "Depth Biasing", "_shadow_mapping_ogre.html#DepthBias", null ],
          [ "Percentage Closest Filtering", "_shadow_mapping_ogre.html#sm_pcm", null ]
        ] ],
        [ "Variants", "_shadow_mapping_ogre.html#sm_variants", [
          [ "Storing Additional Info", "_shadow_mapping_ogre.html#sm_additional_info", null ],
          [ "Breaking up Shadow Frusta", "_shadow_mapping_ogre.html#sm_breaking_frusta", null ],
          [ "Playing with Projection Matrices", "_shadow_mapping_ogre.html#sect_planeopt", null ]
        ] ],
        [ "Theory and Analysis", "_shadow_mapping_ogre.html#sm_theory", [
          [ "(Non)Optimality of Logarithmic Shadow Maps", "_shadow_mapping_ogre.html#sm_nonopt", null ],
          [ "Sampling Aliasing versus Depth Precision Aliasing", "_shadow_mapping_ogre.html#sm_aliasing", null ],
          [ "Projective versus Perspective Aliasing", "_shadow_mapping_ogre.html#sm_proj_aliasing", null ]
        ] ],
        [ "Implementation", "_shadow_mapping_ogre.html#Implementation", null ]
      ] ],
      [ "Deferred Shading", "deferred.html", [
        [ "What is Deferred Shading?", "deferred.html#what", [
          [ "Deferred Shading Advantages", "deferred.html#autotoc_md254", null ],
          [ "Deferred Shading Disadvantages", "deferred.html#autotoc_md255", null ]
        ] ],
        [ "Creating the G-Buffer", "deferred.html#creating", [
          [ "Deciding on the GBuffer format", "deferred.html#autotoc_md256", null ],
          [ "Preparing the objects for G-Buffer rendering", "deferred.html#autotoc_md257", [
            [ "Inspect the classic technique", "deferred.html#autotoc_md258", null ],
            [ "Generate the G-Buffer technique", "deferred.html#autotoc_md259", null ],
            [ "Add the G-Buffer technique to the original material", "deferred.html#autotoc_md260", null ],
            [ "Postponing transparent objects", "deferred.html#autotoc_md261", null ],
            [ "Putting it all together", "deferred.html#autotoc_md262", null ]
          ] ],
          [ "Overriding the automatic process", "deferred.html#autotoc_md263", null ],
          [ "Seeing it in action", "deferred.html#autotoc_md264", null ],
          [ "Rendering the light geometry", "deferred.html#lightgeom", [
            [ "Prepare ambient colour and rebuild original depth buffer", "deferred.html#autotoc_md265", null ],
            [ "Render the light geometries", "deferred.html#autotoc_md266", null ],
            [ "Rendering shadow casting lights", "deferred.html#autotoc_md267", null ],
            [ "Putting it all together", "deferred.html#autotoc_md268", null ],
            [ "Seeing it in action", "deferred.html#autotoc_md269", null ]
          ] ]
        ] ],
        [ "Post Processing", "deferred.html#post", [
          [ "Screen Space Ambient Occlusion", "deferred.html#autotoc_md270", null ]
        ] ],
        [ "Integration in real projects", "deferred.html#realprojects", [
          [ "Integration steps", "deferred.html#autotoc_md271", null ],
          [ "Adapting the framework", "deferred.html#autotoc_md272", null ],
          [ "Adding features to the framework", "deferred.html#autotoc_md273", null ]
        ] ],
        [ "Summary", "deferred.html#summary", [
          [ "Further reading", "deferred.html#further", null ]
        ] ]
      ] ],
      [ "Using the PCZ Scene Manager", "pczscenemanager.html", [
        [ "USING THE PCZ_SCENEMANAGER", "pczscenemanager.html#autotoc_md2", null ],
        [ "LOADING & INITIALIZATION:", "pczscenemanager.html#autotoc_md3", null ],
        [ "CREATING ZONES:", "pczscenemanager.html#autotoc_md4", null ],
        [ "CREATING PORTALS:", "pczscenemanager.html#autotoc_md5", null ],
        [ "ANTIPORTALS  ** NEW As of 3/17/09 **", "pczscenemanager.html#autotoc_md6", null ],
        [ "CREATING OBJECTS/ENTITIES:", "pczscenemanager.html#autotoc_md7", null ],
        [ "SCENE QUERIES:", "pczscenemanager.html#autotoc_md8", null ],
        [ "KNOWN BUGS:", "pczscenemanager.html#autotoc_md9", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_animation.html",
"_ogre_archive_manager_8h.html",
"_ogre_g_l_e_s2_f_b_o_multi_render_target_8h.html",
"_ogre_metal_prerequisites_8h.html#a118de288d2577e6d95183777f40e57c7",
"_ogre_quake3_types_8h.html#a1440f72eba319e1676c4399ed2f197a4",
"_ogre_terrain_material_generator_a_8h.html",
"citelist.html",
"class_ogre_1_1_animation_track.html#a3e1ccd99179d804992a5224fe811c2dd",
"class_ogre_1_1_auto_param_data_source.html#ae062455476f67ebfeb7f3fddba6adf8c",
"class_ogre_1_1_billboard_set.html#a3fdc80cf6163137bd989a28308c32532",
"class_ogre_1_1_bsp_scene_manager.html#abcdea8bbb6c3fe84593322e794199821",
"class_ogre_1_1_colour_fader_affector.html#ad04be7986be747570cc16ec7b5a428ce",
"class_ogre_1_1_composition_pass.html#aac9b21d429d70081fee566fbc9b978a9",
"class_ogre_1_1_config_file.html#a21afd77c88b4e27d4d4c04c12356d3f9",
"class_ogre_1_1_d3_d11_driver.html#a9d9eb357d7254323119e7c33d0695f5b",
"class_ogre_1_1_d3_d11_hardware_uniform_buffer.html#a5aeadbf8fcc38de86b8d19fe15704608",
"class_ogre_1_1_d3_d11_render_window_base.html#a3161f1db631b9e09c13951e23757db63",
"class_ogre_1_1_d3_d9_device.html#a704098b342dcf6906ca86a28a3759b1a",
"class_ogre_1_1_d3_d9_h_l_s_l_program_factory.html#a5583d0dd25327a47f9eaa2793024677f",
"class_ogre_1_1_d3_d9_render_system.html#a4e565e4d5edfeedc47f8cc10dbccc3df",
"class_ogre_1_1_d3_d9_stereo_driver_impl.html#a4dde2faedc622191ae6f0b43ca104d2a",
"class_ogre_1_1_default_sphere_scene_query.html#aee3c881aad0e146950d8fd5cf3791469",
"class_ogre_1_1_dyn_lib.html#a88102713b4c98c0de690d13dadb465dc",
"class_ogre_1_1_file_not_found_exception.html",
"class_ogre_1_1_g_l3_plus_f_b_o_multi_render_target.html#aa2cfbd34dc6c70265389b709be187e0e",
"class_ogre_1_1_g_l3_plus_render_system.html#af6dc48dd1001416215e05e329ae70691",
"class_ogre_1_1_g_l_e_s2_f_b_o_multi_render_target.html#adb40c0c11a63a3ea5e7a0bb37781e131",
"class_ogre_1_1_g_l_e_s2_texture_buffer.html#a0087fbf6c5cfed59053ae33957429c4c",
"class_ogre_1_1_g_l_hardware_vertex_buffer.html#ade3a39d1431909705c6cb1d5d2dbfd20",
"class_ogre_1_1_g_l_render_target.html#a7b98f4db48c41a972f8112ff46dd0772",
"class_ogre_1_1_g_l_s_l_program.html",
"class_ogre_1_1_g_l_texture_buffer.html#ae55a94d4b5d740c9f5cb26247531d6b6",
"class_ogre_1_1_gpu_program_parameters.html#a155c886f15e0c10d2c33c224f0d43ce3aa3b7432f65938b4256b0c38eed481cf6",
"class_ogre_1_1_gpu_shared_parameters_usage.html#a8c686ca97c34e9cb228d6e66fc624dd6",
"class_ogre_1_1_high_level_gpu_program_manager.html#ad95dcf667a304b0d59f8e09e69beef5b",
"class_ogre_1_1_light.html#a4dfd204f10889876a729263099d9bd03",
"class_ogre_1_1_lod_outside_marker.html#a29dd4b0f1d314671a8eb66a6ae260f93",
"class_ogre_1_1_material.html#a44413ef81066bc9a44e29361749a0f6e",
"class_ogre_1_1_matrix3.html#aed2829d86d2df8f9333d4c0087455880",
"class_ogre_1_1_metal_depth_texture.html#ade4488a604068f69ab584808dd6c0ae3",
"class_ogre_1_1_metal_program_1_1_cmd_entry_point.html#aa8f4d2431d1c682a6383ef1f585fbfb4",
"class_ogre_1_1_metal_texture_buffer.html#a878b2da36e31e87a6b88e32c3fdf5dc2",
"class_ogre_1_1_node_animation_track.html#a78b7aba35868b71aaf14c7b8bb91f37f",
"class_ogre_1_1_octree_zone_plugin.html",
"class_ogre_1_1_overlay_manager.html#a656f35aa81bc8fdcddb0c675e7ab2dd7",
"class_ogre_1_1_p_c_z_scene_node.html#a4140b9d947495de466ed24d2ac355a54",
"class_ogre_1_1_page_manager.html#a6380dcd6ef1baff30e595cbe5973dd3d",
"class_ogre_1_1_particle_emitter.html#a8d8c2e2e39187abc715d911cfa802780",
"class_ogre_1_1_pass.html#a1d30a3c04994e1bd0e1de8cb343341a4",
"class_ogre_1_1_patch_surface.html#abedf8abe8fa9fb9b1b7cff118cd2e278",
"class_ogre_1_1_portal_base.html#a72e3e7ba12ef808cf5897840d1486902",
"class_ogre_1_1_quake3_level.html#a64d071ad3a22b0d28cdb88d0c161a116",
"class_ogre_1_1_r_t_shader_1_1_f_f_p_texturing.html#add6be40cc35d17070c42ff614c573a97",
"class_ogre_1_1_r_t_shader_1_1_layered_blending.html#a348ad9775bac739ead7bde9ffd612a32aca5456b258bbf2eed2dccb5a07827711",
"class_ogre_1_1_r_t_shader_1_1_parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7aec8acb4ef3c6c9a1992b46fdb2953301",
"class_ogre_1_1_r_t_shader_1_1_sub_render_state.html#a96ba23416386c1d47c328db6240b3b73",
"class_ogre_1_1_render_priority_group.html#a2fa35b87445194af9b81e5d7ab33648a",
"class_ogre_1_1_render_system_capabilities.html#a30d60525e67ed5f91b6cbd6237bf6d59",
"class_ogre_1_1_resource.html#a0373e75f7dbe77968a39f490ad0d3327",
"class_ogre_1_1_ribbon_trail.html#acc8002296a48321ac318f99a77c82ef4",
"class_ogre_1_1_scene_loader.html",
"class_ogre_1_1_scene_manager.html#ab7f2ff2c074c944a8fca85bc9ef0e8b8",
"class_ogre_1_1_script_compiler_manager.html#acd576c89ad75f3712e9cbd9695397200",
"class_ogre_1_1_small_vector_3_01_t_00_010_01_4.html#acde38b560a786b47c3a89f4b8d820d9c",
"class_ogre_1_1_static_geometry_1_1_material_bucket.html#a012f7cbdc282969e7792146e785dce6a",
"class_ogre_1_1_sub_mesh.html#a48305c54a01e0c7a3376ea0a077c467f",
"class_ogre_1_1_terrain.html#a5c204799a40adae8b01411ec05dbc841",
"class_ogre_1_1_terrain_group.html#a72463e9fad2427e3e0b9d55c9fe1c7f7",
"class_ogre_1_1_text_area_overlay_element.html#a001ceb10a8dad09a37aa1a5b45d4db94",
"class_ogre_1_1_texture_unit_state.html#a7997d8a1385a7538a443c74d94a7cf75",
"class_ogre_1_1_vertex_animation_track.html#a366c0dfa30d9b59d685ff1f7622b5ba7",
"class_ogre_1_1_volume_1_1_chunk.html#a651c349120febbb1aa918d30125f0257",
"class_ogre_bites_1_1_application_context_base.html#a5149884c61334711e13008767885af65",
"class_ogre_bites_1_1_progress_bar.html#af56df621018a44b5ba12cf52cefd7b6b",
"class_ogre_bites_1_1_tray_manager.html#a8529e8765dff9d8eb29d642eb21d220b",
"dir_9b80ada38ddf6d40445ce4d3d9477d10.html",
"group___direct3_d11.html#ga80a53685c54f25a002db54a9368e02c6",
"group___general.html#ggac1fc36ec2f4df4b2afa9fa39f9c66c06a9d591ceb51142267059d8b39b276d3c1",
"group___image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7dbc4fa24cdbf90139bc60e771ad58a0",
"group___math.html#gaba43517feb82c40ccf1cc571f519866c",
"group___r_t_shader.html#ga77f0abdb5d584c610fa03cf238295898",
"group___render_system.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31a516f97319ea6e8a02daef9f13c32303c",
"group___scene.html#gaae254079f412672ce137dddb9736028a",
"group___script.html#ggafb79f4c215a4ac77110efe823e94b61ea7b0a74d80c666c8c44de695babb98487",
"namespace_ogre.html#a5e0882c3b9f7ca32a795f98cf034e428",
"rtss.html#autotoc_md228",
"struct_ogre_1_1_gpu_logical_buffer_struct.html#a811c69b680c296c25a92641f402e3345",
"struct_ogre_1_1_metal_device.html#a50631e1a7a8585a387cb4e3d4dd83590",
"struct_ogre_1_1_shader_helper_g_l_s_l.html",
"struct_ogre_1_1_vector_base_3_014_00_01_real_01_4.html#adc51bff167c65c6a79f5e12c4ddd781a",
"struct_ogre_bites_1_1_input_listener.html#a4534ef767309188cee16e4017054cccd",
"volume.html#howto"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';